#[serial_test::serial]
#[tokio::test]
async fn test_init_200_success_default() {
    let mut client = sideko_rest_api::SidekoClient::default()
        .with_api_key_auth("API_KEY")
        .with_cookie_auth("API_KEY")
        .with_environment(sideko_rest_api::Environment::MockServer);
    let res = client
        .sdk()
        .config()
        .init(sideko_rest_api::resources::sdk::config::InitRequest {
            api_name: "my-project".to_string(),
            ..Default::default()
        })
        .await;
    println!("{:?}", res);
    assert!(res.is_ok());
}
#[serial_test::serial]
#[tokio::test]
async fn test_sync_200_success_default() {
    let mut client = sideko_rest_api::SidekoClient::default()
        .with_api_key_auth("API_KEY")
        .with_cookie_auth("API_KEY")
        .with_environment(sideko_rest_api::Environment::MockServer);
    let res = client
        .sdk()
        .config()
        .sync(sideko_rest_api::resources::sdk::config::SyncRequest {
            config: sideko_rest_api::UploadFile::from_path("uploads/config.yaml")
                .unwrap(),
            ..Default::default()
        })
        .await;
    println!("{:?}", res);
    assert!(res.is_ok());
}
